Index: /trunk/admin/themes/clear/theme.css
===================================================================
--- /trunk/admin/themes/clear/theme.css	(revision 25478)
+++ /trunk/admin/themes/clear/theme.css	(revision 25479)
@@ -359,2 +359,5 @@
   border-color: #aaa !important;
 }
+
+.userPropertiesContainer {border-color:#ddd;}
+.userPrefs {border-color:#ddd;}
Index: /trunk/admin/themes/default/template/user_list.tpl
===================================================================
--- /trunk/admin/themes/default/template/user_list.tpl	(revision 25478)
+++ /trunk/admin/themes/default/template/user_list.tpl	(revision 25479)
@@ -113,8 +113,8 @@
           userDetails += '<div class="userActions">';
           userDetails += '<a class="icon-key" href="#">Change password</a>';
-          userDetails += '<br><a href="#" class="icon-lock">Permissions</a>';
-          userDetails += '<br><a href="#" class="icon-trash">Delete</a>';
+          userDetails += '<br><a target="_blank" href="admin.php?page=user_perm&amp;user_id='+userId+'" class="icon-lock">Permissions</a>';
+          userDetails += '<br><span class="userDelete"><img class="loading" src="themes/default/images/ajax-loader-small.gif" style="display:none;"><a href="#" class="icon-trash" data-user_id="'+userId+'">Delete</a></span>';
           userDetails += '</div>';
-          userDetails += '<strong>'+user.username+'</strong> <span class="icon-pencil"></span>';
+          userDetails += '<strong class="username">'+user.username+'</strong> <span class="icon-pencil"></span>';
           userDetails += '<br><br>';
           userDetails += sprintf(registeredOn_pattern, user.registration_date_string, user.registration_date_since);
@@ -227,6 +227,6 @@
           userDetails += '<div style="clear:both"></div></div>';
 
-          userDetails += '<span class="infos" style="display:none">&#x2714; User updated</span>';
-          userDetails += '<input type="submit" value="{/literal}{'Save Settings'|translate}{literal}" style="display:none;" data-user_id="'+userId+'">';
+          userDetails += '<span class="infos" style="display:none">&#x2714; User '+user.username+' updated</span>';
+          userDetails += '<input type="submit" value="{/literal}{'Update user'|translate}{literal}" style="display:none;" data-user_id="'+userId+'">';
           userDetails += '<img class="submitWait" src="themes/default/images/ajax-loader-small.gif" style="display:none">'
           userDetails += '</form>';
@@ -252,4 +252,34 @@
     jQuery('#user'+userId+' input[type=submit]').show();
     jQuery('#user'+userId+' .infos').hide();
+  });
+
+  jQuery(document).on('click', '.userDelete a',  function() {
+    if (!confirm("{/literal}{'Are you sure?'|translate|escape:javascript}{literal}")) {
+      return false;
+    }
+
+    var userId = jQuery(this).data('user_id');
+    var username = jQuery('#user'+userId+' .username').html();
+
+    jQuery.ajax({
+      url: "ws.php?format=json&method=pwg.users.delete",
+      type:"POST",
+      data: {
+        user_id:userId,
+        pwg_token:pwg_token
+      },
+      beforeSend: function() {
+        jQuery('#user'+userId+' .userDelete .loading').show();
+      },
+      success:function(data) {
+        oTable.fnDraw();
+        jQuery('#showAddUser .infos').html('&#x2714; User '+username+' deleted').show();
+      },
+      error:function(XMLHttpRequest, textStatus, errorThrows) {
+        jQuery('#user'+userId+' .userDelete .loading').hide();
+      }
+    });
+
+    return false;
   });
 
@@ -594,13 +624,4 @@
 #applyActionBlock .actionButtons {margin-left:0;}
 span.infos, span.errors {background-image:none; padding:2px 5px; margin:0;border-radius:5px;}
-
-.userProperties {max-width:730px;}
-.userPropertiesContainer {border-top:1px solid #ddd;margin-top:1em;}
-.userPropertiesSet {width:350px;float:left;padding-top:5px}
-.userPropertiesSetTitle {font-weight:bold;margin-bottom:1em;}
-.userPrefs {border-left:1px solid #ddd;padding-left:10px;}
-.userProperty {width:220px;float:left;margin-bottom:15px;}
-
-.userActions {float:right;text-align:right;}
 </style>
 {/literal}
Index: /trunk/admin/themes/default/theme.css
===================================================================
--- /trunk/admin/themes/default/theme.css	(revision 25478)
+++ /trunk/admin/themes/default/theme.css	(revision 25479)
@@ -1146,2 +1146,11 @@
   cursor:pointer;
 }
+
+.userProperties {max-width:730px;}
+.userPropertiesContainer {border-top:1px solid #ddd;margin-top:1em;}
+.userPropertiesSet {width:350px;float:left;padding-top:5px}
+.userPropertiesSetTitle {font-weight:bold;margin-bottom:1em;}
+.userPrefs {border-left:1px solid #ddd;padding-left:10px;}
+.userProperty {width:220px;float:left;margin-bottom:15px;}
+.userActions {float:right;text-align:right;}
+
Index: /trunk/admin/themes/roma/theme.css
===================================================================
--- /trunk/admin/themes/roma/theme.css	(revision 25478)
+++ /trunk/admin/themes/roma/theme.css	(revision 25479)
@@ -335,2 +335,5 @@
   border-color: #333 !important;
 }
+
+.userPropertiesContainer {border-color:#333;}
+.userPrefs {border-color:#333;}