Index: trunk/language/nl_NL/admin.lang.php
===================================================================
--- trunk/language/nl_NL/admin.lang.php	(revision 25429)
+++ trunk/language/nl_NL/admin.lang.php	(revision 25512)
@@ -218,5 +218,5 @@
 $lang['Manage'] = 'Beheer';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Uitvoerings-tijd is om, de afhandeling moet verder gaan [Geschatte tijd: %d seconden].';
-$lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Verwachte tijd voor de gebruikerslijst voor een mailing is gelimiteerd. Andere gebruikers staan niet op de lijst.';
+$lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'De tijd om de gebruikerslijst voor een mailing samen te stellen is gelimiteerd. De overige gebruikers staan niet op de lijst.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Tijd om email te sturen is gelimiteerd. Andere emailtjes worden overgeslagen.';
 $lang['To send ?'] = 'aan sturen ?';
@@ -280,5 +280,5 @@
 $lang['User %s [%s] was not added to the subscription list.'] = 'Gebruiker %s [%s] is niet toegevoegd aan de inschrijvingslijst.';
 $lang['User %s [%s] added.'] = 'Gebruiker %s [%s] toegevoegd.';
-$lang['Warning: subscribing or unsubscribing will send mails to users'] = 'Waarschuwing: in/uitschrijven zal een email versturen naar de gebruiker';
+$lang['Warning: subscribing or unsubscribing will send mails to users'] = 'Waarschuwing: in/uitschrijven zal een email versturen naar de gebruikers';
 $lang['Send mail on HTML format'] = 'Stuur email in HTML formaat';
 $lang['Include display of recent photos grouped by dates'] = 'Inclusief het vertonen van recente foto\'s gegroepeerd op datum';
@@ -420,12 +420,12 @@
 $lang['Correction'] = 'Correctie';
 $lang['Automatic correction'] = 'Automatische correctie';
-$lang['Impossible automatic correction'] = 'Onmogelijke automatische correctie';
+$lang['Impossible automatic correction'] = 'Automatische correctie onmogelijk';
 $lang['Correction applied with success'] = 'Correctie die met succes is toegepast';
 $lang['Correction applied with error'] = 'Correctie die met fout wordt toegepast';
 $lang['%d anomaly has been detected.'] = '%d onregelmatigheid ontdekt.';
 $lang['%d anomalies have been detected.'] = '%d onregelmatigheden ontdekt.';
-$lang['%d anomaly has been corrected.'] = '%d onregelmatigheid is gecorrigeerd.';
+$lang['%d anomaly has been corrected.'] = '%d onregelmatigheid zijn gecorrigeerd.';
 $lang['%d anomalies have been detected corrected.'] = '%d onregelmatigheden die zijn gecorrigeerd.';
-$lang['%d anomaly has not been corrected.'] = '%d onregelmatigheid ontdekt is niet gecorrigeerd.';
+$lang['%d anomaly has not been corrected.'] = '%d onregelmatigheid is niet gecorrigeerd.';
 $lang['%d anomalies have not been corrected.'] = '%d onregelmatigheden zijn niet gecorrigeerd.';
 $lang['Go to %s or %s for more informations'] = 'Ga naar %s of %s voor meer informatie';
@@ -439,5 +439,5 @@
 $lang['Main "webmaster" user does not exist'] = 'De Hoofd "webbeheerder" bestaat niet';
 $lang['Main "webmaster" user status is incorrect'] = 'De status van de Hoofd "webbeheerder" is niet correct';
-$lang['User "%s" created with "%s" like password'] = 'Gebruiker "%s" gemaakt met wachtwoord "%s" ';
+$lang['User "%s" created with "%s" like password'] = 'Gebruiker "%s" aangemaakt met wachtwoord "%s" ';
 $lang['Status of user "%s" updated'] = 'Status van de gebruiker "%s" is bijgewerkt';
 $lang['add new photos to caddie'] = 'voeg nieuwe foto\'s toe aan verzamelmandje';
@@ -462,5 +462,5 @@
 $lang['The anomaly will be ignored until next application version'] = 'De onregelmatigheid wordt genegeerd tot de volgende versie';
 $lang['%d anomaly has been ignored.'] = '%d onregelmatigheid wordt genegeerd.';
-$lang['%d anomalies have been ignored.'] = '%d onregelmatigheden worden genegeerd.';
+$lang['%d anomalies have been ignored.'] = '%d onregelmatigheden zijn genegeerd.';
 $lang['Plugins which need upgrade'] = 'Plugins welke bijgewerkt moeten worden';
 $lang['Plugin list'] = 'Plugin lijst';
@@ -548,5 +548,5 @@
 $lang['Add New Theme'] = 'Nog niet geïnstalleerde thema\'s';
 $lang['Forbid this theme to users'] = 'Dit thema mag niet door gebruikers gebruikt worden';
-$lang['Set as default theme for unregistered and new users'] = 'Standaard thema voor niet geregisteerde and nieuwe gebruikers';
+$lang['Set as default theme for unregistered and new users'] = 'Standaard thema voor niet geregisteerde en nieuwe gebruikers';
 $lang['unknown'] = 'onbekend';
 $lang['Upload Photos'] = 'Upload foto\'s';
@@ -727,5 +727,5 @@
 $lang['Default photos order'] = 'Standaard foto volgorde';
 $lang['Restore'] = 'Herstel';
-$lang['Restore default configuration. You will lose your plugin settings!'] = 'Herstel de standaard instellingen. Je zal alle plugin instellingen kwijtraken!';
+$lang['Restore default configuration. You will lose your plugin settings!'] = 'Herstel de standaard instellingen. U zult alle plugin instellingen kwijtraken!';
 $lang['Show menubar'] = 'Toon menubalk';
 $lang['Updates'] = 'Updates';
@@ -771,6 +771,6 @@
 $lang['Create'] = 'Aanmaken';
 $lang['Start Upload'] = 'Start Upload';
-$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'Je gebruikt de Flash uploader. Problemen? Probeer de <a href="%s">Browser uploader</a> inplaats.';
-$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'Je gebruikt de Browser uploader. Problemen? Probeer de  <a href="%s">Flash uploader</a> inplaats.';
+$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'U gebruikt de Flash uploader. Problemen? Probeer de <a href="%s">Browser uploader</a> inplaats.';
+$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'U gebruikt de Browser uploader. Problemen? Probeer de  <a href="%s">Flash uploader</a> inplaats.';
 $lang['Maximum file size: %sB.'] = 'Maximum bestands omvang: %sB.';
 $lang['Allowed file types: %s.'] = 'Toegestane bestands typen: %s.';
@@ -846,5 +846,5 @@
 $lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Met de Piwigo Publish plugin kunt u foto\'s direct vanuit Lightroom naar uw Piwigo fotogalerie exporteren en synchroniseren.';
 $lang['Web Form'] = 'Via webformulier';
-$lang['%u users have automatic permission because they belong to a granted group.'] = '%u gebruikers hebben automatisch recht, omdat ze tot een groep behoren die deze rechten is verleend';
+$lang['%u users have automatic permission because they belong to a granted group.'] = '%u gebruikers hebben automatisch recht, omdat ze tot een groep behoren die dit recht is verleend';
 $lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture is een krachtig gereedschap om grote hoeveelheden foto\'s te beheren en te verbeteren op een Mac .';
 $lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture is gemaakt voor proferssionele fotografen met iPhoto gemak.';
@@ -954,3 +954,22 @@
 $lang['Mail theme'] = 'Mail-thema';
 $lang['Select at least one tag'] = 'Op zijn minst één label kiezen';
+$lang['Loading...'] = 'Wordt geladen...';
+$lang['(filtered from %s total users)'] = '(gefilterd van %s totaal aantal gebruikers)';
+$lang['User %s added'] = 'Gebruiker %s toegevoegd';
+$lang['User %s updated'] = 'Gebruiker %s gwijzigd';
+$lang['on the %d selected users'] = 'aan de %d geselecteerde gebruikers';
+$lang['Users modified'] = 'Gebruikers veranderd';
+$lang['Showing %s to %s of %s users'] = 'Geef %s weer aan %s van de %s gebruikers';
+$lang['Update user'] = 'Werk de gebruiker bij';
+$lang['No matching users found'] = 'Geen overeenkomende gebruikers gevonden';
+$lang['No user selected of %d users'] = 'Geen gebruiker geselecteerd van de %d gebruikers';
+$lang['No user selected, no action possible.'] = 'Geen gebruiker geselecteerd, geen actie mogelijk';
+$lang['Registered on %s, %s.'] = 'Geregistreerd op %s, %s.';
+$lang['Show %s users'] = 'Geef %s gebruikers weer';
+$lang['Change username'] = 'Verander gebruikersnaam';
+$lang['Last visit on %s, %s.'] = 'Laatste bezoek op %s, %s.';
+$lang['Password updated'] = 'Wachtwoord aangepast';
+$lang['%d of %d users selected'] = '%d van %d gebruikers geselecteerd';
+$lang['All %d users are selected'] = 'Alle %d gebruikers zijn geselecteerd';
+$lang['Change password'] = 'Verander wachtwoord';
 ?>