Index: /extensions/stripped/language/nl_NL/theme.lang.php
===================================================================
--- /extensions/stripped/language/nl_NL/theme.lang.php	(revision 25513)
+++ /extensions/stripped/language/nl_NL/theme.lang.php	(revision 25514)
@@ -1,7 +1,7 @@
 <?php
-$lang['1 album per row (description beside thumbnail)'] = '1 album per rij(omschrijving naast miniatuur)';
-$lang['2 albums per row (description beside thumbnail)'] = '2 albums per rij(omschrijving naast miniatuur)';
-$lang['3 albums per row (description below thumbnail)'] = '3 albums per rij(omschrijving onder miniatuur)';
-$lang['5 albums per row (no album description)'] = '5 albums per rij(geen album omschrijving)';
+$lang['1 album per row (description beside thumbnail)'] = '1 album per rij (omschrijving naast klikplaatje)';
+$lang['2 albums per row (description beside thumbnail)'] = '2 albums per rij (omschrijving naast klikplaatje)';
+$lang['3 albums per row (description below thumbnail)'] = '3 albums per rij (omschrijving onder klikplaatje)';
+$lang['5 albums per row (no album description)'] = '5 albums per rij (geen albumomschrijving)';
 $lang['Activate image preloading'] = 'Activeer foto vooraf laden';
 $lang['Album list layout'] = 'Album lijst opmaak';
@@ -9,5 +9,5 @@
 $lang['Display frame around albums'] = 'Toon frame om albums';
 $lang['Display frame around image'] = 'Toon frame om foto';
-$lang['Display frame around thumbnails'] = 'Toon frame om miniaturen';
+$lang['Display frame around thumbnails'] = 'Toon frame om klikplaatjes';
 $lang['HD picture default display'] = 'HD foto standaard weergave';
 $lang['Image preloading options'] = 'Vooraf foto laden opties';
@@ -16,6 +16,6 @@
 $lang['Metadata'] = 'Metadata';
 $lang['On picture page, number of next images to preload'] = 'Op de foto pagina, aantal volgende fotos vooraf te laden';
-$lang['Preload images on thumbnails page'] = 'Vooraf laden van foto\'s op miniaturen pagina';
-$lang['Property to display below picture'] = 'Eigenschappen weergave onder de foto';
+$lang['Preload images on thumbnails page'] = 'Vooraf laden van foto\'s op klikplaatjes-pagina';
+$lang['Property to display below picture'] = 'Welke eigenschap moet onder de foto weergegeven worden';
 $lang['Title'] = 'Titel';
 $lang['Use navigation arrows on picture'] = 'Gebruik navigatie pijlen op de foto';
@@ -26,5 +26,5 @@
 $lang['Additional bottom margin after resize'] = 'Extra ondermarge na wijzigen van formaat ';
 $lang['Animate menu'] = 'Animatie menu';
-$lang['Animate tabs on picture page'] = 'Animate tabs op afbeelding pagina';
+$lang['Animate tabs on picture page'] = 'Animate tabs op afbeeldingen pagina';
 $lang['Force text to lowercase'] = 'Forceer tekst in kleine letters';
 $lang['GMap'] = 'Kaart';
@@ -34,16 +34,16 @@
 $lang['Information'] = 'Informatie';
 $lang['Interface options'] = 'Interface opties';
-$lang['Minimum image height after resize'] = 'Minimum afbeelding hoogte na wijzigen van formaat';
+$lang['Minimum image height after resize'] = 'Minimum afbeeldingshoogte na wijzigen van formaat';
 $lang['Picture page options'] = 'Afbeelding pagina opties';
-$lang['Resize image to fit window'] = 'Wijzig formaat afbeelding zodat het op pagina past ';
+$lang['Resize image to fit window'] = 'Wijzig formaat afbeelding zodat deze op pagina past ';
 $lang['Show Information tab only to admins'] = 'Toon informatie tab alleen aan admins';
-$lang['Show image title on top of the page (after browse path)'] = 'Toon afbeeldingstitel bovenaan de pagina(na browse pad) ';
-$lang['Show thumbnail caption'] = 'Toon miniatuurbijschrift';
+$lang['Show image title on top of the page (after browse path)'] = 'Toon afbeeldingstitel bovenaan de pagina (na browse pad) ';
+$lang['Show thumbnail caption'] = 'Toon klikplaatje-bijschrift';
 $lang['Show/hide menu'] = 'Toon/verberg menu';
 $lang['stripped Configuration updated'] = 'stripped configuratie bijgewerkt';
-$lang['Album thumbnail size'] = 'Grootte van de album-miniatuur';
+$lang['Album thumbnail size'] = 'Grootte van het album-klikplaatje';
 $lang['HD Image size'] = 'Grootte van de HD afbeelding';
 $lang['Image size'] = 'Grootte van de afbeelding';
-$lang['Thumbnail size'] = 'Grootte van de miniatuur';
+$lang['Thumbnail size'] = 'Grootte van het klikplaatje';
 $lang['Activate HD picture lightbox'] = 'Activeer HD afbeelding lightbox';
 $lang['always'] = 'altijd';