Index: /trunk/language/nl_NL/common.lang.php
===================================================================
--- /trunk/language/nl_NL/common.lang.php	(revision 25516)
+++ /trunk/language/nl_NL/common.lang.php	(revision 25517)
@@ -71,6 +71,6 @@
 $lang['Display'] = 'Weergeven';
 $lang['Each listed rule must be satisfied.'] = 'Aan elke weergegeven regel moet worden voldaan.';
-$lang['Email address is missing. Please specify an email address.'] = 'Email-adres is niet ingevuld';
-$lang['Email address'] = 'Email-adres';
+$lang['Email address is missing. Please specify an email address.'] = 'Emailadres is niet ingevuld.';
+$lang['Email address'] = 'Emailadres';
 $lang['Enter your personnal informations'] = 'Vul uw persoonlijke informatie in';
 $lang['Error sending email'] = 'Fout bij het versturen van email';
@@ -81,5 +81,5 @@
 $lang['Filter'] = 'Filter';
 $lang['Forgot your password?'] = 'Wachtwoord vergeten?';
-$lang['Go through the gallery as a visitor'] = 'Ga naar de galerie als gast';
+$lang['Go through the gallery as a visitor'] = 'Bekijk de galerie als gast';
 $lang['Help'] = 'Help';
 $lang['Identification'] = 'Identificatie';
@@ -156,5 +156,5 @@
 $lang['created on %s'] = 'gemaakt op %s';
 $lang['Customize'] = 'Profiel aanpassen';
-$lang['Your Gallery Customization'] = 'Uw galerie aanpassen ';
+$lang['Your Gallery Customization'] = 'Uw galerie aanpassingen ';
 $lang['day'][0] = 'Zondag';
 $lang['day'][1] = 'Maandag';
@@ -245,8 +245,8 @@
 $lang['login mustn\'t start with a space character'] = 'Gebruikersnaam mag niet beginnen met een spatie';
 $lang['this login is already used'] = 'Deze gebruikersnaam is al in gebruik';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'email-adres moet zijn xxx@yyy.eee (bijvoorbeeld : jack@altern.org)';
-$lang['Auto login'] = 'Auto login';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'emailadres moet het formaat xxx@yyy.eee hebben (bijvoorbeeld : jack@altern.org)';
+$lang['Auto login'] = 'Automtisch aanmelden';
 $lang['remove this tag from the list'] = 'Verwijder dit label uit de lijst';
-$lang['representative'] = 'album klikplaatje';
+$lang['representative'] = 'album-klikplaatje';
 $lang['Search for Author'] = 'Zoeken naar auteur';
 $lang['Search in albums'] = 'Zoeken in albums';
@@ -294,5 +294,5 @@
 $lang['Album: %s'] = 'Album: %s';
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Foutieve status voor gebruiker "guest", gebruik standaard status. Waarschuw de webbeheerder.';
-$lang['this email address is already in use'] = 'Een andere gebruiker maakt al gebruik van dit email-adres';
+$lang['this email address is already in use'] = 'Een andere gebruiker maakt al gebruik van dit emailadres';
 $lang['Album results for'] = 'Album resultaten voor';
 $lang['Tag results for'] = 'Label-resultaten voor';
@@ -316,5 +316,5 @@
 $lang['Are you sure?'] = 'Weet u het zeker?';
 $lang['Rank'] = 'Rang';
-$lang['group by letters'] = 'gegroepeerd per letter';
+$lang['group by letters'] = 'Gegroepeerd per letter';
 $lang['letters'] = 'letters';
 $lang['show tag cloud'] = 'Geef label-wolk weer';
@@ -338,22 +338,22 @@
 $lang['%d rates'] = '%d stemmen';
 $lang['Rating score'] = 'Waarderings score';
-$lang['Invalid username or email'] = 'Gebruikersnaam of email-adres is ongeldig';
-$lang['Password reset is not allowed for this user'] = 'Deze gebruiker heeft geen toestemming om het paswoord te vernieuwen';
-$lang['User "%s" has no email address, password reset is not possible'] = 'Gebruiker "%s" heeft geen e-mailadres daarom kan het paswoord niet vernieuwd worden';
-$lang['Someone requested that the password be reset for the following user account:'] = 'Iemand heeft verzocht om het paswoord te vernieuwen voor het volgende account:';
+$lang['Invalid username or email'] = 'Gebruikersnaam of emailadres is ongeldig';
+$lang['Password reset is not allowed for this user'] = 'Deze gebruiker heeft geen toestemming om het wachtwoord te vernieuwen';
+$lang['User "%s" has no email address, password reset is not possible'] = 'Gebruiker "%s" heeft geen emailadres, daarom kan het wachtwoord niet vernieuwd worden';
+$lang['Someone requested that the password be reset for the following user account:'] = 'Iemand heeft verzocht om het wachtwoord te vernieuwen voor het volgende account:';
 $lang['Username "%s" on gallery %s'] = 'Gebruikersnaam "%s" voor galerie %s';
-$lang['To reset your password, visit the following address:'] = 'Om je paswoord te vernieuwen kun je het volgende adres bezoeken:';
-$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Als dit een vergissing was kun je deze email negeren, er zal dan niets gewijzigd worden.';
-$lang['Password Reset'] = 'Vernieuw paswoord';
-$lang['Check your email for the confirmation link'] = 'Kijk in je mail box voor de bevestigings link';
+$lang['To reset your password, visit the following address:'] = 'Om uw wachtwoord te vernieuwen kunt u het volgende adres bezoeken:';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Als dit een vergissing was, kunt u deze email negeren. Er zal dan niets gewijzigd worden.';
+$lang['Password Reset'] = 'Vernieuw wachtwoord';
+$lang['Check your email for the confirmation link'] = 'Kijk in uw email box voor de bevestigings-link';
 $lang['Invalid key'] = 'Onjuiste sleutel';
-$lang['The passwords do not match'] = 'De paswoorden zijn niet gelijk';
-$lang['Your password has been reset'] = 'Uw paswoord is vernieuwd';
+$lang['The passwords do not match'] = 'De wachtwoorden zijn niet gelijk';
+$lang['Your password has been reset'] = 'Uw wachtwoord is vernieuwd';
 $lang['Return to home page'] = 'Keer terug naar de home page';
-$lang['Please enter your username or email address.'] = 'Voer je gebruikersnaam en e-mailadres in.';
-$lang['You will receive a link to create a new password via email.'] = 'Via e-mail krijgt u een link om uw paswoord te vernieuwen.';
-$lang['Username or email'] = 'Gebruikersnaam of e-mail';
-$lang['Change my password'] = 'Vernieuw mijn paswoord';
-$lang['Enter your new password below.'] = 'Voer hieronder je nieuwe paswoord in.';
+$lang['Please enter your username or email address.'] = 'Geef uw gebruikersnaam en emailadres in.';
+$lang['You will receive a link to create a new password via email.'] = 'U ontvangt via email een link om uw wachtwoord te vernieuwen.';
+$lang['Username or email'] = 'Gebruikersnaam of email';
+$lang['Change my password'] = 'Vernieuw mijn wachtwoord';
+$lang['Enter your new password below.'] = 'Geef hieronder uw nieuwe wachtwoord in.';
 $lang['EXIF Metadata'] = 'EXIF Metagegevens';
 $lang['IPTC Metadata'] = 'IPTC Metagegevens';
@@ -369,5 +369,5 @@
 $lang['Hello %s,'] = 'Hallo %s,';
 $lang['Here are your connection settings'] = 'Dit zijn uw verbindings-instellingen';
-$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Indien u denkt dat er iets niet klopt nu u deze email ontvangt, vragen wij u contact met ons op te nemen op %s ';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Indien u denkt dat er iets niet klopt nu u deze email ontvangt, vragen wij u contact met ons op te nemen via %s ';
 $lang['Password: %s'] = 'Wachtwoord %s';
 $lang['Send my connection settings by email'] = 'Verstuur mijn verbindings-instellingen per email';
@@ -408,5 +408,5 @@
 $lang['Requested album does not exist'] = 'Het opgevraagde album bestaat niet';
 $lang['Requested tag does not exist'] = 'Het opgevraagde label bestaat niet';
-$lang['Email address is mandatory'] = 'Email-adres is verplicht';
+$lang['Email address is mandatory'] = 'Emailadres is verplicht';
 $lang['Username is mandatory'] = 'Gebruikersnaam is verplicht';
 $lang['mandatory'] = 'verplicht';
@@ -425,4 +425,5 @@
 $lang['Last Page'] = 'Laatste bladzijde';
 $lang['Password is missing. Please enter the password.'] = 'Wachtwoord ontbreekt. Geef uw wachtwoord aub.';
-$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Wachtwoord-bevestiging ontbreekt. Bevestig aub uw gekozen wachtwoord.';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Wachtwoord-bevestiging ontbreekt. Bevestig aub het gekozen wachtwoord.';
+$lang['%d photos per page'] = '%d foto\'s per pagina';
 ?>