Index: /trunk/admin/themes/default/template/profile_content.tpl
===================================================================
--- /trunk/admin/themes/default/template/profile_content.tpl	(revision 25548)
+++ /trunk/admin/themes/default/template/profile_content.tpl	(revision 25549)
@@ -51,5 +51,5 @@
       <li>
         <span class="property">
-          <label for="template">{'Interface theme'|@translate}</label>
+          <label for="template">{'Theme'|@translate}</label>
         </span>
         {html_options id=template name=theme options=$template_options selected=$template_selection}
Index: /trunk/admin/themes/default/template/user_list.tpl
===================================================================
--- /trunk/admin/themes/default/template/user_list.tpl	(revision 25548)
+++ /trunk/admin/themes/default/template/user_list.tpl	(revision 25549)
@@ -222,5 +222,5 @@
           userDetails += '</div>';
 
-          userDetails += '<div class="userProperty"><strong>{/literal}{'Interface theme'|translate|escape:javascript}{literal}</strong>';
+          userDetails += '<div class="userProperty"><strong>{/literal}{'Theme'|translate|escape:javascript}{literal}</strong>';
           userDetails += '<br><select name="theme">';
           jQuery("#action select[name=theme] option").each(function() {
@@ -904,5 +904,5 @@
       <option value="level">{'Privacy level'|@translate}</option>
       <option value="nb_image_page">{'Number of photos per page'|@translate}</option>
-      <option value="theme">{'Interface theme'|@translate}</option>
+      <option value="theme">{'Theme'|@translate}</option>
       <option value="language">{'Language'|@translate}</option>
       <option value="recent_period">{'Recent period'|@translate}</option>
Index: /trunk/language/af_ZA/common.lang.php
===================================================================
--- /trunk/language/af_ZA/common.lang.php	(revision 25548)
+++ /trunk/language/af_ZA/common.lang.php	(revision 25549)
@@ -303,5 +303,4 @@
 $lang['return to the display of all photos'] = "gaan terug na vertoning van alle fotos";
 $lang['the beginning'] = "die begin";
-$lang['Interface theme'] = "Koppelvlak tema";
 $lang['Thumbnails'] = "Duimnale";
 $lang['Menu'] = "Keusepaneel";
Index: /trunk/language/ar_SA/common.lang.php
===================================================================
--- /trunk/language/ar_SA/common.lang.php	(revision 25548)
+++ /trunk/language/ar_SA/common.lang.php	(revision 25549)
@@ -275,5 +275,4 @@
 $lang['return to the display of all photos'] = 'العودة لعرض جميع الصورة';
 $lang['the beginning'] = 'البداية';
-$lang['Interface theme'] = 'واجة العرض';
 $lang['Thumbnails'] = 'الصور المصغرة';
 $lang['Menu'] = 'القائمة الرئيسية';
Index: /trunk/language/bg_BG/common.lang.php
===================================================================
--- /trunk/language/bg_BG/common.lang.php	(revision 25548)
+++ /trunk/language/bg_BG/common.lang.php	(revision 25549)
@@ -109,5 +109,4 @@
 $lang['return to the display of all photos'] = 'върни се на преглед на всички снимки';
 $lang['the beginning'] = 'началото';
-$lang['Interface theme'] = 'Тема на интерфейса';
 $lang['Thumbnails'] = 'Умален преглед';
 $lang['Menu'] = 'Меню';
Index: /trunk/language/br_FR/common.lang.php
===================================================================
--- /trunk/language/br_FR/common.lang.php	(revision 25548)
+++ /trunk/language/br_FR/common.lang.php	(revision 25549)
@@ -274,5 +274,4 @@
 $lang['Notification'] = 'KemennoÃ¹ RSS';
 $lang['Not repeat the slideshow'] = 'HarzaÃ± adlenn an diaporama';
-$lang['Interface theme'] = 'Tem an etrefas';
 $lang['Pause of slideshow'] = 'EhanaÃ± an diaporama';
 $lang['Play of slideshow'] = 'Lenn an diaporama';
Index: /trunk/language/ca_ES/common.lang.php
===================================================================
--- /trunk/language/ca_ES/common.lang.php	(revision 25548)
+++ /trunk/language/ca_ES/common.lang.php	(revision 25549)
@@ -266,5 +266,4 @@
 $lang['return to the display of all photos'] = 'torna a la visualització de totes les fotos';
 $lang['the beginning'] = 'principi';
-$lang['Interface theme'] = 'Tema predeterminat';
 $lang['Thumbnails'] = 'Miniatures';
 $lang['Menu'] = 'Menú';
Index: /trunk/language/cs_CZ/common.lang.php
===================================================================
--- /trunk/language/cs_CZ/common.lang.php	(revision 25548)
+++ /trunk/language/cs_CZ/common.lang.php	(revision 25549)
@@ -277,5 +277,4 @@
 $lang['return to the display of all photos'] = 'Návrat ke zobrazení všech fotografií';
 $lang['the beginning'] = 'začátku';
-$lang['Interface theme'] = 'Šablona vzhledu';
 $lang['Thumbnails'] = 'Náhledy';
 $lang['Menu'] = 'Další funkce';
Index: /trunk/language/da_DK/common.lang.php
===================================================================
--- /trunk/language/da_DK/common.lang.php	(revision 25548)
+++ /trunk/language/da_DK/common.lang.php	(revision 25549)
@@ -273,5 +273,4 @@
 $lang['return to the display of all photos'] = 'tilbage til alle fotoer';
 $lang['the beginning'] = 'begyndelsen';
-$lang['Interface theme'] = 'Grænsefladetema';
 $lang['Thumbnails'] = 'Miniaturebilleder';
 $lang['Menu'] = 'Menu';
Index: /trunk/language/de_DE/common.lang.php
===================================================================
--- /trunk/language/de_DE/common.lang.php	(revision 25548)
+++ /trunk/language/de_DE/common.lang.php	(revision 25549)
@@ -271,5 +271,4 @@
 $lang['return to the display of all photos'] = 'Zurück zu allen Fotos';
 $lang['the beginning'] = 'Beginn';
-$lang['Interface theme'] = 'Galerie-Layout';
 $lang['Thumbnails'] = 'Vorschaubilder';
 $lang['Menu'] = 'Menü';
Index: /trunk/language/el_GR/common.lang.php
===================================================================
--- /trunk/language/el_GR/common.lang.php	(revision 25548)
+++ /trunk/language/el_GR/common.lang.php	(revision 25549)
@@ -128,5 +128,4 @@
 $lang['return to the display of all photos'] = "επιστροφή στην προβολή όλων των φωτογραφιών";
 $lang['the beginning'] = "αρχή";
-$lang['Interface theme'] = "Στυλ εμφάνισης";
 $lang['Thumbnails'] = 'Μικρογραφίες';
 $lang['Menu'] = "Μενού";
Index: /trunk/language/en_UK/common.lang.php
===================================================================
--- /trunk/language/en_UK/common.lang.php	(revision 25548)
+++ /trunk/language/en_UK/common.lang.php	(revision 25549)
@@ -208,5 +208,4 @@
 $lang['in this album'] = "in this album";
 $lang['included'] = "included";
-$lang['Interface theme'] = "Interface theme";
 $lang['Invalid key'] = 'Invalid key';
 $lang['Invalid password!'] = "Invalid password!";
@@ -419,3 +418,4 @@
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = "Password confirmation is missing. Please confirm the chosen password.";
 $lang['%d photos per page'] = '%d photos per page';
+$lang['Theme'] = 'Theme';
 ?>
Index: /trunk/language/eo_EO/common.lang.php
===================================================================
--- /trunk/language/eo_EO/common.lang.php	(revision 25548)
+++ /trunk/language/eo_EO/common.lang.php	(revision 25549)
@@ -266,5 +266,4 @@
 $lang['return to the display of all photos'] = 'reiri al ĉiuj fotoj';
 $lang['the beginning'] = 'la komenco';
-$lang['Interface theme'] = 'Etoso';
 $lang['Thumbnails'] = 'Miniaturo';
 $lang['Menu'] = 'Menuo';
Index: /trunk/language/es_AR/common.lang.php
===================================================================
--- /trunk/language/es_AR/common.lang.php	(revision 25548)
+++ /trunk/language/es_AR/common.lang.php	(revision 25549)
@@ -273,5 +273,4 @@
 $lang['return to the display of all photos'] = 'volver a mostrar todos los elementos';
 $lang['the beginning'] = 'principio';
-$lang['Interface theme'] = 'Tema de la interfaz';
 $lang['Thumbnails'] = 'Diapositivas';
 $lang['Menu'] = 'Menú';
Index: /trunk/language/es_ES/common.lang.php
===================================================================
--- /trunk/language/es_ES/common.lang.php	(revision 25548)
+++ /trunk/language/es_ES/common.lang.php	(revision 25549)
@@ -280,5 +280,4 @@
 $lang['return to the display of all photos'] = 'Volver a visualizar todas la imágenes';
 $lang['the beginning'] = 'El principio';
-$lang['Interface theme'] = 'Tema predeterminado';
 $lang['Thumbnails'] = 'Diapositivas';
 $lang['Menu'] = 'Menú';
Index: /trunk/language/et_EE/common.lang.php
===================================================================
--- /trunk/language/et_EE/common.lang.php	(revision 25548)
+++ /trunk/language/et_EE/common.lang.php	(revision 25549)
@@ -326,5 +326,4 @@
 $lang['IPTC Metadata'] = 'IPTC metaandmed';
 $lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Kui arvad, et oled saanud selle eposti eksituse teel, palun teavita meid aadressil %s';
-$lang['Interface theme'] = 'Kasutajaliidese kujundus';
 $lang['Invalid key'] = 'Vigane võti';
 $lang['Kind of date'] = 'Kuupäeva välimus';
Index: /trunk/language/fa_IR/common.lang.php
===================================================================
--- /trunk/language/fa_IR/common.lang.php	(revision 25548)
+++ /trunk/language/fa_IR/common.lang.php	(revision 25549)
@@ -264,5 +264,4 @@
 $lang['return to the display of all photos'] = "بازگشت به نمایش همه ی عکس ها";
 $lang['the beginning'] = "آغاز";
-$lang['Interface theme'] = "رابط قالب";
 $lang['Thumbnails'] = 'عکس بندانگشتی';
 $lang['Menu'] = "منو";
Index: /trunk/language/fi_FI/common.lang.php
===================================================================
--- /trunk/language/fi_FI/common.lang.php	(revision 25548)
+++ /trunk/language/fi_FI/common.lang.php	(revision 25549)
@@ -259,5 +259,4 @@
 $lang['in this album'] = 'tässä albumissa';
 $lang['included'] = 'sisältyy';
-$lang['Interface theme'] = 'Käyttöliittymän teema';
 $lang['Invalid key'] = 'Väärä avain';
 $lang['Invalid password!'] = 'Väärä salasana!';
Index: /trunk/language/fr_CA/common.lang.php
===================================================================
--- /trunk/language/fr_CA/common.lang.php	(revision 25548)
+++ /trunk/language/fr_CA/common.lang.php	(revision 25549)
@@ -274,5 +274,4 @@
 $lang['return to the display of all photos'] = 'retourner à l\'affichage de tous les éléments';
 $lang['the beginning'] = 'le début';
-$lang['Interface theme'] = 'Thème de l\'interface';
 $lang['Thumbnails'] = 'Miniatures';
 $lang['Menu'] = 'Menu';
Index: /trunk/language/fr_FR/common.lang.php
===================================================================
--- /trunk/language/fr_FR/common.lang.php	(revision 25548)
+++ /trunk/language/fr_FR/common.lang.php	(revision 25549)
@@ -194,5 +194,4 @@
 $lang['in this album'] = 'dans cet album';
 $lang['included'] = 'inclus';
-$lang['Interface theme'] = 'Thème de l\'interface';
 $lang['Invalid key'] = 'Clef invalide';
 $lang['Invalid password!'] = 'Mot de passe invalide !';
@@ -419,3 +418,4 @@
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = "La confirmation du mot de passe manque. Veuillez confirmer le mot de passe choisi.";
 $lang['%d photos per page'] = '%d photos par page';
+$lang['Theme'] = 'Thème';
 ?>
Index: /trunk/language/gl_ES/common.lang.php
===================================================================
--- /trunk/language/gl_ES/common.lang.php	(revision 25548)
+++ /trunk/language/gl_ES/common.lang.php	(revision 25549)
@@ -249,5 +249,4 @@
 $lang['Mobile'] = 'dispositivos móbiles';
 $lang['Most visited'] = 'Máis visitadas';
-$lang['Interface theme'] = 'Tema da interface';
 $lang['Invalid key'] = 'Chave non válida';
 $lang['Invalid password!'] = 'Clave non válida!';
Index: /trunk/language/he_IL/common.lang.php
===================================================================
--- /trunk/language/he_IL/common.lang.php	(revision 25548)
+++ /trunk/language/he_IL/common.lang.php	(revision 25549)
@@ -273,5 +273,4 @@
 $lang['return to the display of all photos'] = "חזור להצגת כל התמונות";
 $lang['the beginning'] = "ההתחלה";
-$lang['Interface theme'] = "ממשק הערכה";
 $lang['Thumbnails'] = "תמונות ממוזערות";
 $lang['Menu'] = "תפריט";
Index: /trunk/language/hr_HR/common.lang.php
===================================================================
--- /trunk/language/hr_HR/common.lang.php	(revision 25548)
+++ /trunk/language/hr_HR/common.lang.php	(revision 25549)
@@ -276,5 +276,4 @@
 $lang['return to the display of all photos'] = 'povratak u prikaz svih slika';
 $lang['the beginning'] = 'početak';
-$lang['Interface theme'] = 'tema sučelja';
 $lang['Thumbnails'] = 'Povezne sličice';
 $lang['Menu'] = 'Izbornik';
Index: /trunk/language/hu_HU/common.lang.php
===================================================================
--- /trunk/language/hu_HU/common.lang.php	(revision 25548)
+++ /trunk/language/hu_HU/common.lang.php	(revision 25549)
@@ -274,5 +274,4 @@
 $lang['return to the display of all photos'] = 'Vissza (összes kép megjelenítése)';
 $lang['the beginning'] = 'Kezdet';
-$lang['Interface theme'] = 'Megjelenítés témája';
 $lang['Thumbnails'] = 'Bélyegképek';
 $lang['Menu'] = 'Menü';
Index: /trunk/language/id_ID/common.lang.php
===================================================================
--- /trunk/language/id_ID/common.lang.php	(revision 25548)
+++ /trunk/language/id_ID/common.lang.php	(revision 25549)
@@ -312,5 +312,4 @@
 $lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Jika ini adalah sebuah kesalahan, harap abaikan email ini dan tidak ada perubahan yang terjadi';
 $lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Jika anda menerima email ini akibat sebuah kesalahan, harap hubungi webmaster di %s';
-$lang['Interface theme'] = 'Tema antar muka';
 $lang['Invalid key'] = 'Kata kunci salah';
 $lang['Invalid password!'] = 'Kata sandi salah';
Index: /trunk/language/is_IS/common.lang.php
===================================================================
--- /trunk/language/is_IS/common.lang.php	(revision 25548)
+++ /trunk/language/is_IS/common.lang.php	(revision 25549)
@@ -278,5 +278,4 @@
 $lang['return to the display of all photos'] = 'aftur í sýningu á öllum myndum';
 $lang['the beginning'] = 'upphafið';
-$lang['Interface theme'] = 'Þema';
 $lang['Thumbnails'] = 'Smámyndir';
 $lang['Menu'] = 'Valmynd';
Index: /trunk/language/it_IT/common.lang.php
===================================================================
--- /trunk/language/it_IT/common.lang.php	(revision 25548)
+++ /trunk/language/it_IT/common.lang.php	(revision 25549)
@@ -192,5 +192,4 @@
 $lang['in this album'] = 'In questo album';
 $lang['included'] = 'incluso';
-$lang['Interface theme'] = 'Tema dell\'interfaccia';
 $lang['Invalid key'] = 'Chiave non valida';
 $lang['Invalid password!'] = 'Password non valida!';
Index: /trunk/language/ja_JP/common.lang.php
===================================================================
--- /trunk/language/ja_JP/common.lang.php	(revision 25548)
+++ /trunk/language/ja_JP/common.lang.php	(revision 25549)
@@ -270,5 +270,4 @@
 $lang['return to the display of all photos'] = 'すべてのイメージ表示に戻る';
 $lang['the beginning'] = '最初';
-$lang['Interface theme'] = 'インターフェーステーマ';
 $lang['Thumbnails'] = 'サムネイル';
 $lang['Menu'] = 'メニュー';
Index: /trunk/language/ka_GE/common.lang.php
===================================================================
--- /trunk/language/ka_GE/common.lang.php	(revision 25548)
+++ /trunk/language/ka_GE/common.lang.php	(revision 25549)
@@ -277,5 +277,4 @@
 $lang['return to the display of all photos'] = 'ყველა ფოტოს ნახვასთან დაბრუნება';
 $lang['the beginning'] = 'თავიდან';
-$lang['Interface theme'] = 'გაფორმება';
 $lang['Thumbnails'] = 'მინიატურები';
 $lang['Menu'] = 'მენიუ';
Index: /trunk/language/km_KH/common.lang.php
===================================================================
--- /trunk/language/km_KH/common.lang.php	(revision 25548)
+++ /trunk/language/km_KH/common.lang.php	(revision 25549)
@@ -274,5 +274,4 @@
 $lang['return to the display of all photos'] = 'ត្រឡប់​ទៅ​បង្ហាញ​រូប​ថត​ទាំង​អស់​';
 $lang['the beginning'] = 'ចាប់​ផ្តើម​ដំបូង​';
-$lang['Interface theme'] = 'រូប​រាង​ផ្ទៃសំរាប់​​បង្ហាញ​';
 $lang['Thumbnails'] = 'រូប​គំរប​ផ្ទៃ​លើ​';
 $lang['Menu'] = 'មីនុយ​';
Index: /trunk/language/kn_IN/common.lang.php
===================================================================
--- /trunk/language/kn_IN/common.lang.php	(revision 25548)
+++ /trunk/language/kn_IN/common.lang.php	(revision 25549)
@@ -199,5 +199,4 @@
 $lang['in this album'] = "ಈ ಸಂಪುಟದಲ್ಲಿ";
 $lang['included'] = "ಸೇರಿಸಲಾದವು";
-$lang['Interface theme'] = "ಹೊರನೋಟ ವಿನ್ಯಾಸದ ಥೀಮ್";
 $lang['Invalid key'] = 'ಅಸಿಂಧುವಾದ ಕೀ';
 $lang['Invalid password!'] = 'ತಪ್ಪಾದ ಪ್ರವೇಶಪದ!';
Index: /trunk/language/ko_KR/common.lang.php
===================================================================
--- /trunk/language/ko_KR/common.lang.php	(revision 25548)
+++ /trunk/language/ko_KR/common.lang.php	(revision 25549)
@@ -305,5 +305,4 @@
 $lang['html tags are not allowed in login'] = '로그인 폼에 html태그는 허용되지 않습니다';
 $lang['If this was a mistake, just ignore this email and nothing will happen.'] = '만약 실수였다면 이 이메일을 무시하셔도 됩니다.';
-$lang['Interface theme'] = '인터페이스 테마';
 $lang['Invalid key'] = '잘못된 키';
 $lang['Invalid username or email'] = '잘못된 사용자 이름이나 이메일';
Index: /trunk/language/lt_LT/common.lang.php
===================================================================
--- /trunk/language/lt_LT/common.lang.php	(revision 25548)
+++ /trunk/language/lt_LT/common.lang.php	(revision 25549)
@@ -240,5 +240,4 @@
 $lang['SQL queries in'] = "SQL queries in";
 $lang['the beginning'] = 'pradžia';
-$lang['Interface theme'] = 'Išvaizda';
 $lang['Thumbnails'] = 'Piktogramos';
 $lang['Menu'] = "Meniu";
Index: /trunk/language/lv_LV/common.lang.php
===================================================================
--- /trunk/language/lv_LV/common.lang.php	(revision 25548)
+++ /trunk/language/lv_LV/common.lang.php	(revision 25549)
@@ -271,5 +271,4 @@
 $lang['return to the display of all photos'] = 'atgriezties pie visu foto rādīšanas režīma';
 $lang['the beginning'] = "sākums";
-$lang['Interface theme'] = "Interfeisa tēmas";
 $lang['Thumbnails'] = "Sīkbildes";
 $lang['Menu'] = "Izvēlne";
Index: /trunk/language/mk_MK/common.lang.php
===================================================================
--- /trunk/language/mk_MK/common.lang.php	(revision 25548)
+++ /trunk/language/mk_MK/common.lang.php	(revision 25549)
@@ -285,5 +285,4 @@
 $lang['return to the display of all photos'] = 'Врати се кон прикажување на сите фотографии';
 $lang['the beginning'] = 'почетокот';
-$lang['Interface theme'] = 'Изглед на галеријата';
 $lang['Thumbnails'] = 'Сликички';
 $lang['Menu'] = 'Систем';
Index: /trunk/language/mn_MN/common.lang.php
===================================================================
--- /trunk/language/mn_MN/common.lang.php	(revision 25548)
+++ /trunk/language/mn_MN/common.lang.php	(revision 25549)
@@ -381,5 +381,4 @@
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Уучлаарай. Системийн ачаалал өндөр байгаа тул сэтгэгдэл бичихын тулд түр хүлээнэ үү.';
 $lang['Recent period must be a positive integer value'] = 'Сүүлийн үеийн хоногын тоо эерэг утгатай байх ёстой';
-$lang['Interface theme'] = 'Харагдах байдал';
 $lang['Profile'] = 'Бүртгэл';
 $lang['Preferences'] = 'Тохиргоо';
Index: /trunk/language/ms_MY/common.lang.php
===================================================================
--- /trunk/language/ms_MY/common.lang.php	(revision 25548)
+++ /trunk/language/ms_MY/common.lang.php	(revision 25549)
@@ -63,5 +63,4 @@
 $lang['About'] = 'Mengenai';
 
-$lang['Interface theme'] = 'Tema antarmuka';
 $lang['Invalid key'] = 'Kunci tidak cocok';
 $lang['Invalid password!'] = 'kata sandi tidak cocok!';
Index: /trunk/language/nb_NO/common.lang.php
===================================================================
--- /trunk/language/nb_NO/common.lang.php	(revision 25548)
+++ /trunk/language/nb_NO/common.lang.php	(revision 25549)
@@ -311,5 +311,4 @@
 $lang['return to the display of all photos'] = 'tilbake til visning av alle bilder';
 $lang['the beginning'] = 'begynnelsen';
-$lang['Interface theme'] = 'Brukerflate tema';
 $lang['Thumbnails'] = 'Miniatyrbilder';
 $lang['Menu'] = 'Meny';
Index: /trunk/language/nl_NL/common.lang.php
===================================================================
--- /trunk/language/nl_NL/common.lang.php	(revision 25548)
+++ /trunk/language/nl_NL/common.lang.php	(revision 25549)
@@ -273,5 +273,4 @@
 $lang['return to the display of all photos'] = 'Toon alle foto\'s';
 $lang['the beginning'] = 'het begin';
-$lang['Interface theme'] = 'Thema';
 $lang['Thumbnails'] = 'Klikplaatjes';
 $lang['Menu'] = 'Menu';
Index: /trunk/language/nn_NO/common.lang.php
===================================================================
--- /trunk/language/nn_NO/common.lang.php	(revision 25548)
+++ /trunk/language/nn_NO/common.lang.php	(revision 25549)
@@ -376,5 +376,4 @@
 $lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Dersom dette var ein feil, kan du ignorere denne e-posten og ingen ting vil skje vidare.';
 $lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Dersom du mottok denne e-posten ved ein feil, ta kontakt med oss på %s';
-$lang['Interface theme'] = 'Tema for brukargrensesnitt';
 $lang['Invalid key'] = 'Ugyldig nøkkel';
 $lang['Invalid password!'] = 'Ugyldig passord1';
Index: /trunk/language/pl_PL/common.lang.php
===================================================================
--- /trunk/language/pl_PL/common.lang.php	(revision 25548)
+++ /trunk/language/pl_PL/common.lang.php	(revision 25549)
@@ -274,5 +274,4 @@
 $lang['return to the display of all photos'] = 'powrót do wyświetlania wszystkich elementów';
 $lang['the beginning'] = 'początek';
-$lang['Interface theme'] = 'Styl interfejsu';
 $lang['Thumbnails'] = 'Miniatury';
 $lang['Menu'] = 'Menu';
Index: /trunk/language/pt_BR/common.lang.php
===================================================================
--- /trunk/language/pt_BR/common.lang.php	(revision 25548)
+++ /trunk/language/pt_BR/common.lang.php	(revision 25549)
@@ -272,5 +272,4 @@
 $lang['return to the display of all photos'] = 'voltar a exibir todas as imagens';
 $lang['the beginning'] = 'o início';
-$lang['Interface theme'] = 'Tema';
 $lang['Thumbnails'] = 'Miniaturas';
 $lang['Menu'] = 'Menu';
Index: /trunk/language/pt_PT/common.lang.php
===================================================================
--- /trunk/language/pt_PT/common.lang.php	(revision 25548)
+++ /trunk/language/pt_PT/common.lang.php	(revision 25549)
@@ -276,5 +276,4 @@
 $lang['return to the display of all photos'] = 'Voltar a visionar todas as fotos';
 $lang['the beginning'] = 'O comeÃ§o';
-$lang['Interface theme'] = 'Tema';
 $lang['Thumbnails'] = 'Miniaturas';
 $lang['Menu'] = 'Menu';
Index: /trunk/language/ro_RO/common.lang.php
===================================================================
--- /trunk/language/ro_RO/common.lang.php	(revision 25548)
+++ /trunk/language/ro_RO/common.lang.php	(revision 25549)
@@ -260,5 +260,4 @@
 $lang['return to the display of all photos'] = 'reveniţi la afişarea tuturor imaginilor';
 $lang['the beginning'] = 'începutul';
-$lang['Interface theme'] = 'Tema Interfeţei';
 $lang['Thumbnails'] = 'Miniaturi';
 $lang['Menu'] = 'Meniu';
Index: /trunk/language/ru_RU/common.lang.php
===================================================================
--- /trunk/language/ru_RU/common.lang.php	(revision 25548)
+++ /trunk/language/ru_RU/common.lang.php	(revision 25549)
@@ -271,5 +271,4 @@
 $lang['return to the display of all photos'] = 'вернуться к полному списку фотографий';
 $lang['the beginning'] = 'с начала';
-$lang['Interface theme'] = 'Оформление';
 $lang['Thumbnails'] = 'Миниатюры';
 $lang['Menu'] = 'Меню';
Index: /trunk/language/sh_RS/common.lang.php
===================================================================
--- /trunk/language/sh_RS/common.lang.php	(revision 25548)
+++ /trunk/language/sh_RS/common.lang.php	(revision 25549)
@@ -276,5 +276,4 @@
 $lang['return to the display of all photos'] = 'povratak u prikaz svih slika';
 $lang['the beginning'] = 'početak';
-$lang['Interface theme'] = 'tema';
 $lang['Thumbnails'] = 'Sličice';
 $lang['Menu'] = 'Izbornik';
Index: /trunk/language/sk_SK/common.lang.php
===================================================================
--- /trunk/language/sk_SK/common.lang.php	(revision 25548)
+++ /trunk/language/sk_SK/common.lang.php	(revision 25549)
@@ -277,5 +277,4 @@
 $lang['return to the display of all photos'] = 'návrat k zobrazeniu všetkých fotografií';
 $lang['the beginning'] = 'začiatok';
-$lang['Interface theme'] = 'Šablona vzhľadu';
 $lang['Thumbnails'] = 'Náhľady';
 $lang['Menu'] = 'Ďalšie funkcie';
Index: /trunk/language/sl_SI/common.lang.php
===================================================================
--- /trunk/language/sl_SI/common.lang.php	(revision 25548)
+++ /trunk/language/sl_SI/common.lang.php	(revision 25549)
@@ -251,5 +251,4 @@
 $lang['return to the display of all photos'] = 'vrni se v prikaz vseh slik';
 $lang['the beginning'] = 'začetek';
-$lang['Interface theme'] = 'Tema vmesnika';
 $lang['Thumbnails'] = 'Sličice';
 $lang['Menu'] = 'Meni';
Index: /trunk/language/sr_RS/common.lang.php
===================================================================
--- /trunk/language/sr_RS/common.lang.php	(revision 25548)
+++ /trunk/language/sr_RS/common.lang.php	(revision 25549)
@@ -270,5 +270,4 @@
 $lang['return to the display of all photos'] = 'повратак у приказ свих слика';
 $lang['the beginning'] = 'почетак';
-$lang['Interface theme'] = 'тема';
 $lang['Thumbnails'] = 'Сличице';
 $lang['Menu'] = 'Избор';
Index: /trunk/language/sv_SE/common.lang.php
===================================================================
--- /trunk/language/sv_SE/common.lang.php	(revision 25548)
+++ /trunk/language/sv_SE/common.lang.php	(revision 25549)
@@ -316,5 +316,4 @@
 $lang['return to the display of all photos'] = 'återgå till visning av alla bilder';
 $lang['the beginning'] = 'början';
-$lang['Interface theme'] = 'Gränssnittstema';
 $lang['Thumbnails'] = 'Miniatyrer';
 $lang['Menu'] = 'Meny';
Index: /trunk/language/ta_IN/common.lang.php
===================================================================
--- /trunk/language/ta_IN/common.lang.php	(revision 25548)
+++ /trunk/language/ta_IN/common.lang.php	(revision 25549)
@@ -180,5 +180,4 @@
 $lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'இது தவறு என்றால், இந்த மின்னஞ்சல் புறக்கணிக்கவும், எதுவும் நடக்காது.';
 $lang['If you think you\'ve received this email in error, please contact us at %s'] = 'நீங்கள் தவறுதலாக இந்த மின்னஞ்சல் வந்துள்ளது நினைத்தால், எங்களைத் தொடர்பு கொள்க %s';
-$lang['Interface theme'] = 'முகப்பு வார்ப்புரு';
 $lang['Invalid key'] = 'செல்லாத விசை';
 $lang['Invalid password!'] = 'கடவுச்சொல்லை தவறானது!';
Index: /trunk/language/th_TH/common.lang.php
===================================================================
--- /trunk/language/th_TH/common.lang.php	(revision 25548)
+++ /trunk/language/th_TH/common.lang.php	(revision 25549)
@@ -269,5 +269,4 @@
 $lang['return to the display of all photos'] = "กลับไปแสดงรูปภาพทั้งหมด";
 $lang['the beginning'] = "การเริ่มต้น";
-$lang['Interface theme'] = "ธีม";
 $lang['Thumbnails'] = "รูปภาพขนาดย่อ";
 $lang['Menu'] = "เมนู";
Index: /trunk/language/tr_TR/common.lang.php
===================================================================
--- /trunk/language/tr_TR/common.lang.php	(revision 25548)
+++ /trunk/language/tr_TR/common.lang.php	(revision 25549)
@@ -190,5 +190,4 @@
 $lang['in this album'] = 'bu albümde';
 $lang['included'] = 'dahil edildi';
-$lang['Interface theme'] = 'Arayüz Temaları';
 $lang['Invalid key'] = 'Hatalı anahtar';
 $lang['Invalid password!'] = 'Yanlış şifre!';
Index: /trunk/language/uk_UA/common.lang.php
===================================================================
--- /trunk/language/uk_UA/common.lang.php	(revision 25548)
+++ /trunk/language/uk_UA/common.lang.php	(revision 25549)
@@ -301,5 +301,4 @@
 $lang['return to the display of all photos'] = 'повернутися до всіх зображень';
 $lang['the beginning'] = 'початок';
-$lang['Interface theme'] = 'Тема інтерфейсу';
 $lang['Thumbnails'] = 'Ескізи';
 $lang['Menu'] = 'Меню';
Index: /trunk/language/vi_VN/common.lang.php
===================================================================
--- /trunk/language/vi_VN/common.lang.php	(revision 25548)
+++ /trunk/language/vi_VN/common.lang.php	(revision 25549)
@@ -269,5 +269,4 @@
 $lang['return to the display of all photos'] = 'trở lại hiển thị tất cả các hình';
 $lang['the beginning'] = 'bắt đầu';
-$lang['Interface theme'] = 'Giao diện';
 $lang['Thumbnails'] = 'Hình nhỏ';
 $lang['Menu'] = 'Trình đơn';
Index: /trunk/language/zh_CN/common.lang.php
===================================================================
--- /trunk/language/zh_CN/common.lang.php	(revision 25548)
+++ /trunk/language/zh_CN/common.lang.php	(revision 25549)
@@ -270,5 +270,4 @@
 $lang['return to the display of all photos'] = '返回到显示所有图片';
 $lang['the beginning'] = '起始';
-$lang['Interface theme'] = '界面主题';
 $lang['Thumbnails'] = '缩略图';
 $lang['Menu'] = '菜单';
Index: /trunk/language/zh_HK/common.lang.php
===================================================================
--- /trunk/language/zh_HK/common.lang.php	(revision 25548)
+++ /trunk/language/zh_HK/common.lang.php	(revision 25549)
@@ -157,5 +157,4 @@
 $lang['If this was a mistake, just ignore this email and nothing will happen.'] = '如果這是一個錯誤, 不理會這電郵就不會發生任合事.';
 $lang['If you think you\'ve received this email in error, please contact us at %s'] = '如果你認你不應該數到這電郵, 請到 %s 聯絡我們';
-$lang['Interface theme'] = '介面主題';
 $lang['Invalid key'] = '無效鑰匙';
 $lang['Invalid password!'] = '無效密碼!';
Index: /trunk/language/zh_TW/common.lang.php
===================================================================
--- /trunk/language/zh_TW/common.lang.php	(revision 25548)
+++ /trunk/language/zh_TW/common.lang.php	(revision 25549)
@@ -270,5 +270,4 @@
 $lang['return to the display of all photos'] = '返回到所有圖片頁面';
 $lang['the beginning'] = '開始';
-$lang['Interface theme'] = '界面主題';
 $lang['Thumbnails'] = '縮略圖';
 $lang['Menu'] = '選單';
Index: /trunk/themes/default/template/profile_content.tpl
===================================================================
--- /trunk/themes/default/template/profile_content.tpl	(revision 25548)
+++ /trunk/themes/default/template/profile_content.tpl	(revision 25549)
@@ -51,5 +51,5 @@
       <li>
         <span class="property">
-          <label for="template">{'Interface theme'|@translate}</label>
+          <label for="template">{'Theme'|@translate}</label>
         </span>
         {html_options name=theme options=$template_options selected=$template_selection}